Page tree
Skip to end of metadata
Go to start of metadata

Noteworthy

This minor version streamlines the supported maven version range and fixes an issue with the maven clirr plugin:

  • The required Maven version is now enforced to 3.2.3 or higher. That version was released almost three years ago, so there is a fair chance you have a more recent version anyway.
    • For the story, this is because Maven 3.2.2 suffered issues with imported dependencyManagement sections; that was known ever since since we upgraded to Maven 3. (See  BUILD-130 - Getting issue details... STATUS )
    • For releasing, 3.2.3 used to be strictly enforced too. We decided to loosen that to the same range, in particular because this check only applied when performing releases, not when preparing them.
    • Consequently, our release-perform-profile is no more.
    • This was successfully tested with Maven 3.2.5, 3.3.9 as well as 3.5.0. (smile)
    • See  BUILD-255 - Getting issue details... STATUS .
  • The Clirr Maven plugin was updated to 2.8, effectively fixing plugin failures on Java 8 projects.
    • See BUILD-219 - Getting issue details... STATUS  .
  • This version also made a couple additions to the supplemental models.
    • See  BUILD-256 - Getting issue details... STATUS

Upgrading

Upgrading should be straightforward. Please upgrade at your earliest convenience, ideally before your next release.

Complete changelog

See https://jira.magnolia-cms.com/secure/ReleaseNote.jspa?projectId=10330&version=19398

 

 

  • No labels